importPackage(Packages.jp.hasc.hasctool.core.data);

function processMessage(message) {
	if (message instanceof VectorSignalMessage) {
		message = VectorSignalMessages.create(
			message.getTime(),
			[message.getVectorElement(0)*2.0, message.getVectorElement(0)*0.5]
		);
	}
	host.outputMessage(message);
}
